#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT .. $*

CMAKE_LIBRARY_PATH=$GEXTECHOPRINT_INSTALLED
LD_LIBRARY_PATH=$GEXTECHOPRINT_INSTALLED
echo "Using CMAKE_LIBRARY_PATH:";
echo $CMAKE_LIBRARY_PATH;
echo "Using LD_LIBRARY_PATH:";
echo $LD_LIBRARY_PATH;

for d in CMAKE ZLIB BZIP2 BOOST TAGLIB ; do
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done
